package com.cmx.hydrology.ui;


import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import com.cmx.hydrology.databinding.FragmentMyBinding;
import com.cmx.hydrology.utils.AndroidtoJs;
import com.cmx.hydrology.utils.MyUtils;
import com.cmx.hydrology.view.BaseLoadingDialog;
import com.lsxiao.apollo.core.Apollo;
import com.lsxiao.apollo.core.contract.ApolloBinder;

public class MyFragment extends BaseFragment {

    private FragmentMyBinding binding;
    private WebView mWebView;

    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        binding = FragmentMyBinding.inflate(inflater, container, false);
        View root = binding.getRoot();
        mWebView = binding.wvMine;
        setWebView(mWebView);
        //        mWebView.loadUrl(SERVER_URL + "/nigeria/?lang=English#/my");
        return root;
    }


    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }

}